<?php

declare(strict_types=1);

namespace App\Framework\Http\Streaming;

final readonly class StreamRepresentation
{
    public function __construct(
        public string $id,
        public int $bandwidth,
        public string $resolution = '',
        public string $codecs = '',
        public string $mimeType = 'video/mp4'
    ) {
    }
}
